<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
    <link rel="stylesheet" href="css/estilos.css">
</head>
<body onload="saludar()">
    
    <div class="contenedor">
        <form action="https:google.com">
            <input type="text" id="nombre" placeholder="nombre">
            <input type="text" id="edas" placeholder="edad">
            
            <textarea id="biografia" placeholder="Biografia"></textarea>
            
            <button type="submit">Enviar</button>
        </form>
    </div>
    
<!--****************************************************************************************-->    
    
    <script>
        var formulario = document.getElementsByTagName('form')[0];

            formulario.addEventListener('submit', function(event) {
                //event.stopPropagation();
            event.preventDefault();
            //alert('jejeje');
            var nombre = document.getElementById('nombre');
            var edad = document.getElementById('edad');
            var biografia = document.getElementById('biografia');
                
            console.log('Valor de nombre', nombre);
            console.log('Valor de edad', edad);
            console.log('Valor de biografia', biografia);
                
                //propiedades que podrian ayudar:
                //innerHTML, innerText, value, value As Number
                //condicional si los valores estan vacios
            if( nombre.Value == '' && edad.Value == '' && biografia.Value == ''){
                alert('por favor rellena todos los campos');
            }
            else{
                //condicional si los valores no estan vacios
                alert('Muchas gracias, tu informacion ha sido guardada en la basura de su patio')
            }
       });


       function saludar(){
           alert('birnvenido a la pagina')
       }
    
    </script>
</body>
</html>